| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Seis::PreLoader Class Reference
Seis

`#include <seispreload.h>`

## Public Member Functions
| PreLoader (const MultiID &, Pos::GeomID=Pos::GeomID::udf(), TaskRunner *=nullptr)
| ~PreLoader ()
uiString | errMsg () const
void | fillPar (IOPar &) const
Pos::GeomID | geomID () const
IOObj * | getIOObj () const
void | getLineNames (BufferStringSet &) const
| Line 2D only.
const MultiID & | id () const
Interval< int > | inlRange () const
| PS 3D only. If nothing there: ret.start==mUdf(int)
bool | load (const TrcKeyZSampling &, DataCharacteristics::UserType=DataCharacteristics::Auto, Scaler *=nullptr) const
bool | load (const TypeSet< TrcKeyZSampling > &, const TypeSet< Pos::GeomID > &, DataCharacteristics::UserType=DataCharacteristics::Auto, Scaler *=nullptr) const
bool | loadPS2D (const BufferStringSet &) const
bool | loadPS2D (const char *lnm=nullptr) const
| null => all
bool | loadPS3D (const Interval< int > *inlrg=nullptr) const
void | setTaskRunner (TaskRunner &t)
void | unLoad () const

## Static Public Member Functions
static void | load (const IOPar &, TaskRunner *=nullptr)
| Seis.N.[loadObj_fmt].
static void | loadObj (const IOPar &, TaskRunner *=nullptr)
| sKey::ID() and optional subselections
static const char * | sKeyLines ()
static const char * | sKeyUserType ()

## Protected Member Functions
TaskRunner & | getTr () const

## Protected Attributes
TaskRunner | deftr_
uiString | errmsg_
Pos::GeomID | geomid_
MultiID | mid_
TaskRunner * | tr_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ PreLoader()

Seis::PreLoader::PreLoader | ( | const MultiID & | ,
|  | Pos::GeomID | = Pos::GeomID::udf(),
|  | TaskRunner * | = nullptr )

## ◆ ~PreLoader()

Seis::PreLoader::~PreLoader | ( |  | ) |

## Member Function Documentation

## ◆ errMsg()

uiString Seis::PreLoader::errMsg | ( |  | ) | const
| inline

## ◆ fillPar()

void Seis::PreLoader::fillPar | ( | IOPar & |  | ) | const

## ◆ geomID()

Pos::GeomID Seis::PreLoader::geomID | ( |  | ) | const
| inline

## ◆ getIOObj()

IOObj * Seis::PreLoader::getIOObj | ( |  | ) | const

## ◆ getLineNames()

void Seis::PreLoader::getLineNames | ( | BufferStringSet & |  | ) | const

Line 2D only.

## ◆ getTr()

TaskRunner & Seis::PreLoader::getTr | ( |  | ) | const
| inline protected

## ◆ id()

const MultiID & Seis::PreLoader::id | ( |  | ) | const
| inline

## ◆ inlRange()

Interval< int > Seis::PreLoader::inlRange | ( |  | ) | const

PS 3D only. If nothing there: ret.start==mUdf(int)

## ◆ load() [1/3]

static void Seis::PreLoader::load | ( | const IOPar & | ,
|  | TaskRunner * | = nullptr )
| static

Seis.N.[loadObj_fmt].

## ◆ load() [2/3]

bool Seis::PreLoader::load | ( | const TrcKeyZSampling & | ,
|  | DataCharacteristics::UserType | = DataCharacteristics::Auto,
|  | Scaler * | = nullptr ) const

## ◆ load() [3/3]

bool Seis::PreLoader::load | ( | const TypeSet< TrcKeyZSampling > & | ,
|  | const TypeSet< Pos::GeomID > & | ,
|  | DataCharacteristics::UserType | = DataCharacteristics::Auto,
|  | Scaler * | = nullptr ) const

## ◆ loadObj()

static void Seis::PreLoader::loadObj | ( | const IOPar & | ,
|  | TaskRunner * | = nullptr )
| static

sKey::ID() and optional subselections

## ◆ loadPS2D() [1/2]

bool Seis::PreLoader::loadPS2D | ( | const BufferStringSet & |  | ) | const

## ◆ loadPS2D() [2/2]

bool Seis::PreLoader::loadPS2D | ( | const char * | lnm = nullptr | ) | const

null => all

## ◆ loadPS3D()

bool Seis::PreLoader::loadPS3D | ( | const Interval< int > * | inlrg = nullptr | ) | const

## ◆ setTaskRunner()

void Seis::PreLoader::setTaskRunner | ( | TaskRunner & | t | ) |
| inline

## ◆ sKeyLines()

static const char * Seis::PreLoader::sKeyLines | ( |  | ) |
| static

## ◆ sKeyUserType()

static const char * Seis::PreLoader::sKeyUserType | ( |  | ) |
| static

## ◆ unLoad()

void Seis::PreLoader::unLoad | ( |  | ) | const

## Member Data Documentation

## ◆ deftr_

TaskRunner Seis::PreLoader::deftr_
| protected

## ◆ errmsg_

uiString Seis::PreLoader::errmsg_
| mutable protected

## ◆ geomid_

Pos::GeomID Seis::PreLoader::geomid_
| protected

## ◆ mid_

MultiID Seis::PreLoader::mid_
| protected

## ◆ tr_

TaskRunner* Seis::PreLoader::tr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025